[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.GetDockEdge

Determine the DropAlign.

## Declaration

Source position: controls.pp line 510

`public function TDockManager.GetDockEdge(`
`ADockObject: TDragDockObject`
`):Boolean; virtual;`

## Description

ADockObject contains valid DragTarget, DragPos and DragTargetPos relative dock site. DockRect is undetermined.

DropOnControl may be Nil if nothing has been docked yet, or no target control exists at the mouse coordinates.

Returns True if ADockObject.DropAlign has been determined. If False, the DropAlign has to be determined by default procedures.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.